/*
Typography
=========================== */
html,body {
    width:100%;
    height: auto;
    margin:0;
    padding:0;
    overflow-x: hidden;
}

body {
    font-family: 'Open Sans', sans-serif;
    position: relative;
    font-size:14px;
    line-height:24px;
    color:#6f6f6f;
}

a{
    color: #6f6f6f;
}

a,
a:active,
a:focus,
a:hover{
    outline:none;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

a:hover{
    text-decoration:underline;
}

h1, h2, h3, h4, h5, h6{
    color:#3f3f3f;
    margin:0 0 15px 0;
    letter-spacing: 1px;
    font-weight: bold;
}

h1{
    font-size:48px;
    line-height:52px;
}

h2{
    font-size:36px;
    line-height:48px;
}

h3{
    font-size:30px;
    line-height:36px;
}

h4{
    font-size:24px;
    line-height:30px;
}

h5{
    font-size:18px;
    line-height:24px;
}

h6{
    font-size:14px;
    line-height:18px;
}

p{
    margin-bottom:20px;
}

.section{
    padding: 70px 0;
    position: relative;
}

/*
Navbar Adjusment
=========================== */
/* Navbar Atribute ------*/
.attr-nav > ul > li > a{
    padding: 28px 15px;
}

ul.cart-list > li.total > .btn{
    border-bottom: solid 1px #cfcfcf !important;
    color: #fff !important;
    padding: 10px 15px;
}

@media (min-width: 1024px) {
    /* Navbar General ------*/
    nav.navbar ul.nav > li > a{
        padding: 30px 15px;
        font-weight: 600;
    }
    
    nav.navbar .navbar-brand{
        margin-top: 0;
    }
    
    nav.navbar .navbar-brand img.logo{
        width: 50px;
    }

    nav.navbar .navbar-brand{
        margin-top: 0;
    }
    
    nav.navbar .navbar-brand img.logo{
        width: 256px;
        margin-top: -15px;
    }
    
    nav.navbar li.dropdown ul.dropdown-menu{
        border-top: solid 5px;
    }
    
    /* Navbar Center ------*/
    nav.navbar-center .navbar-brand{
        margin: 0 !important;
    }
    
    /* Navbar Brand Top ------*/
    nav.navbar-brand-top .navbar-brand{
        margin: 10px !important;
    }
    
    /* Navbar Full ------*/
    nav.navbar-full .navbar-brand{
        position: relative;
        top: -15px;
    }
    
    /* Navbar Sidebar ------*/
    nav.navbar-sidebar ul.nav,
    nav.navbar-sidebar .navbar-brand{
        margin-bottom: 50px;
    }
    
    nav.navbar-sidebar ul.nav > li > a{
        padding: 10px 15px;
        font-weight: bold;
    }
    
    /* Navbar Transparent & Fixed ------*/
    nav.navbar.bootsnav.navbar-transparent.white{
        background-color: rgba(255,255,255,0.3);
        border-bottom: solid 1px #bbb;
    }
    
    nav.navbar.navbar-inverse.bootsnav.navbar-transparent.dark,
    nav.navbar.bootsnav.navbar-transparent.dark{
        background-color: rgba(0,0,0,0.3);
        border-bottom: solid 1px #555;
    }
    
    nav.navbar.bootsnav.navbar-transparent.white .attr-nav{
        border-left: solid 1px #bbb;
    }
    
    nav.navbar.navbar-inverse.bootsnav.navbar-transparent.dark .attr-nav,
    nav.navbar.bootsnav.navbar-transparent.dark .attr-nav{
        border-left: solid 1px #555;
    }
    
    nav.navbar.bootsnav.no-background.white .attr-nav > ul > li > a,
    nav.navbar.bootsnav.navbar-transparent.white .attr-nav > ul > li > a,
    nav.navbar.bootsnav.navbar-transparent.white ul.nav > li > a,
    nav.navbar.bootsnav.no-background.white ul.nav > li > a{
        color: #fff;
    }
    
    nav.navbar.bootsnav.navbar-transparent.dark .attr-nav > ul > li > a,
    nav.navbar.bootsnav.navbar-transparent.dark ul.nav > li > a{
        color: #eee;
    }
}

@media (max-width: 992px) {
    /* Navbar General ------*/
    nav.navbar .navbar-brand{
        margin-top: 0;
        position: relative;
        top: -2px;
    }
    
    nav.navbar .navbar-brand img.logo{
        width: 184px;
        margin-top: -10px;
        margin-left:-40px;
    }
    
    .attr-nav > ul > li > a{
        padding: 16px 15px 15px;
    }
    
    /* Navbar Mobile slide ------*/
    nav.navbar.navbar-mobile ul.nav > li > a{
        padding: 15px 15px;
    }
    
    nav.navbar.navbar-mobile ul.nav ul.dropdown-menu > li > a{
        padding-right: 15px !important;
        padding-top: 15px !important;
        padding-bottom: 15px !important;
    }
    
    nav.navbar.navbar-mobile ul.nav ul.dropdown-menu .col-menu .title{
        padding-right: 30px !important;
        padding-top: 13px !important;
        padding-bottom: 13px !important;
    }
    
    nav.navbar.navbar-mobile ul.nav ul.dropdown-menu .col-menu ul.menu-col li a{
        padding-top: 13px !important;
        padding-bottom: 13px !important;
    }
    
    /* Navbar Full ------*/
     nav.navbar-full .navbar-brand{
        top: 0;
        padding-top: 10px;
    }
}

/* Navbar Inverse
=================================*/
nav.navbar.navbar-inverse{
    background-color: #222;
    border-bottom: solid 1px #303030;
}

nav.navbar.navbar-inverse ul.cart-list > li.total > .btn{
    border-bottom: solid 1px #222 !important;
}

nav.navbar.navbar-inverse ul.cart-list > li.total .pull-right{
    color: #fff;
}

nav.navbar.navbar-inverse.megamenu ul.dropdown-menu.megamenu-content .content ul.menu-col li a,
nav.navbar.navbar-inverse ul.nav > li > a{
    color: #eee;
}

nav.navbar.navbar-inverse ul.nav > li.dropdown > a{
    background-color: #222;
}

nav.navbar.navbar-inverse li.dropdown ul.dropdown-menu > li > a{
    color: #999;
}

nav.navbar.navbar-inverse ul.nav .dropdown-menu h1,
nav.navbar.navbar-inverse ul.nav .dropdown-menu h2,
nav.navbar.navbar-inverse ul.nav .dropdown-menu h3,
nav.navbar.navbar-inverse ul.nav .dropdown-menu h4,
nav.navbar.navbar-inverse ul.nav .dropdown-menu h5,
nav.navbar.navbar-inverse ul.nav .dropdown-menu h6{
    color: #fff;
}

nav.navbar.navbar-inverse .form-control{
    background-color: #333;
    border-color: #303030;
    color: #fff;
}

nav.navbar.navbar-inverse .attr-nav > ul > li > a{
    color: #eee;
}

nav.navbar.navbar-inverse .attr-nav > ul > li.dropdown ul.dropdown-menu{
    background-color: #222;
    border-left: solid 1px #303030;
    border-bottom: solid 1px #303030;
    border-right: solid 1px #303030;
}

nav.navbar.navbar-inverse ul.cart-list > li{
    border-bottom: solid 1px #303030;
    color: #eee;
}

nav.navbar.navbar-inverse ul.cart-list > li img{
    border: solid 1px #303030;
}

nav.navbar.navbar-inverse ul.cart-list > li.total{
    background-color: #333;
}

nav.navbar.navbar-inverse .share ul > li > a{
    background-color: #555;
}

nav.navbar.navbar-inverse .dropdown-tabs .tab-menu{
    border-right: solid 1px #303030;
}

nav.navbar.navbar-inverse .dropdown-tabs .tab-menu > ul > li > a{
    border-bottom: solid 1px #303030;
}

nav.navbar.navbar-inverse .dropdown-tabs .tab-content{
    border-left: solid 1px #303030;
}

nav.navbar.navbar-inverse .dropdown-tabs .tab-menu > ul > li > a:hover,
nav.navbar.navbar-inverse .dropdown-tabs .tab-menu > ul > li > a:focus,
nav.navbar.navbar-inverse .dropdown-tabs .tab-menu > ul > li.active > a{
    background-color: #333 !important;
}

nav.navbar-inverse.navbar-full ul.nav > li > a{
    border:none;
}

nav.navbar-inverse.navbar-full .navbar-collapse .wrap-full-menu{
    background-color: #222;
}

nav.navbar-inverse.navbar-full .navbar-toggle{
    background-color: #222 !important;
    color: #6f6f6f;
}

@media (min-width: 1024px) {
    nav.navbar.navbar-inverse ul.nav .dropdown-menu{
        background-color: #222 !important;
        border-left: solid 1px #303030 !important;
        border-bottom: solid 1px #303030 !important;
        border-right: solid 1px #303030 !important;
    }

    nav.navbar.navbar-inverse li.dropdown ul.dropdown-menu > li > a{
        border-bottom: solid 1px #303030;
    }
    
    nav.navbar.navbar-inverse ul.dropdown-menu.megamenu-content .col-menu{
        border-left: solid 1px #303030;
        border-right: solid 1px #303030;
    }
    
    nav.navbar.navbar-inverse.navbar-transparent.dark{
        background-color: rgba(0,0,0,0.3);
        border-bottom: solid 1px #999;
    }
    
    nav.navbar.navbar-inverse.navbar-transparent.dark .attr-nav{
        border-left: solid 1px #999;
    }
    
    nav.navbar.navbar-inverse.no-background.white .attr-nav > ul > li > a,
    nav.navbar.navbar-inverse.navbar-transparent.dark .attr-nav > ul > li > a,
    nav.navbar.navbar-inverse.navbar-transparent.dark ul.nav > li > a,
    nav.navbar.navbar-inverse.no-background.white ul.nav > li > a{
        color: #fff;
    }
    
    nav.navbar.navbar-inverse.no-background.dark .attr-nav > ul > li > a,
    nav.navbar.navbar-inverse.no-background.dark .attr-nav > ul > li > a,
    nav.navbar.navbar-inverse.no-background.dark ul.nav > li > a,
    nav.navbar.navbar-inverse.no-background.dark ul.nav > li > a{
        color: #3f3f3f;
    }
}
@media (max-width: 992px)  {
    nav.navbar.navbar-inverse .navbar-toggle{
        color: #eee;
        background-color: #222 !important;
    }
    
    nav.navbar.navbar-inverse .navbar-nav > li > a{
        border-top: solid 1px #303030;
        border-bottom: solid 1px #303030;
    }
    
    nav.navbar.navbar-inverse ul.nav li.dropdown ul.dropdown-menu  > li > a{
        color: #999;
        border-bottom: solid 1px #303030;
    }
    
    nav.navbar.navbar-inverse .dropdown .megamenu-content .col-menu .title{
        border-bottom: solid 1px #303030;
        color: #eee;
    }
    
    nav.navbar.navbar-inverse .dropdown .megamenu-content .col-menu ul > li > a{
        border-bottom: solid 1px #303030;
        color: #999 !important;
    }
    
    nav.navbar.navbar-inverse .dropdown .megamenu-content .col-menu.on:last-child .title{
        border-bottom: solid 1px #303030;
    }
    
    nav.navbar.navbar-inverse .dropdown-tabs .tab-menu > ul{
        border-top: solid 1px #303030;
    }
    
    nav.navbar.navbar-inverse.navbar-mobile .navbar-collapse{
        background-color: #222;
    }
}

@media (max-width: 767px)  {
    nav.navbar.navbar-inverse.navbar-mobile ul.nav{
        border-top: solid 1px #222;
    }
}

/*
Color
=========================== */
nav.navbar.bootsnav ul.dropdown-menu.megamenu-content .content ul.menu-col li a:hover,
.side .widget ul.link li a:hover,
.side .widget ul.link li a:focus,
.check-list li:before,
ul.cart-list > li > h6 > a,
.attr-nav > ul > li > a:hover,
.attr-nav > ul > li > a:focus,
nav.navbar-sidebar ul.nav li.dropdown.on > a,
nav.navbar-sidebar .dropdown .megamenu-content .col-menu.on .title,
nav.navbar-sidebar ul.nav li.dropdown ul.dropdown-menu li a:hover,
nav.navbar ul.nav li.dropdown.on > a,
nav.navbar.navbar-inverse ul.nav li.dropdown.on > a,
nav.navbar-sidebar ul.nav li.dropdown.on ul.dropdown-menu li.dropdown.on > a,
nav.navbar .dropdown .megamenu-content .col-menu.on .title,
nav.navbar ul.nav > li > a:hover,
nav.navbar ul.nav > li.active > a:hover,
nav.navbar ul.nav li.active > a,
nav.navbar li.dropdown ul.dropdown-menu > li a:hover{
    color: #097ef5;
}

nav.navbar.navbar-transparent ul.nav > li > a:hover,
nav.navbar.no-background ul.nav > li > a:hover,
nav.navbar ul.nav li.scroll.active > a,
nav.navbar.navbar-dark ul.nav li.dropdown ul.dropdown-menu  > li > a:hover,
nav.navbar ul.nav li.dropdown.on > a,
nav.navbar-dark ul.nav li.dropdown.on > a{
    color: #fff !important;
}

@media(max-width:920px){
    nav.navbar .dropdown .megamenu-content .col-menu ul > li > a:hover,
    nav.navbar.navbar-dark .dropdown .megamenu-content .col-menu .title:hover{
        color: #f43438 !important;
    }
}

/*
Border
=========================== */
ul.cart-list > li.total > .btn{
    border-color: #f43438;
}

nav.navbar li.dropdown ul.dropdown-menu{
    border-top-color: #f43438 !important;
}

/*
Background
=========================== */
ul.cart-list > li.total > .btn,
.attr-nav > ul > li > a span.badge,
nav.navbar .share ul > li > a:hover,
nav.navbar .share ul > li > a:focus{
    background-color: #f43438;
}

ul.cart-list > li.total > .btn:hover,
ul.cart-list > li.total > .btn:focus{
    background-color: #dc3236 !important;
}




.modal-content {
    position: relative;
    background-color: #FF5722;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid #999;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: 6px;
    outline: 0;
    -webkit-box-shadow: 0 3px 9px rgba(0,0,0,.5);
    box-shadow: 0 3px 9px rgba(0,0,0,.5);
}



.astro-services {
    padding: 70px 20px;
    background: radial-gradient(circle at top, #1e1b4b, #020617);
    font-family: 'Cinzel', serif;
    text-align: center;
}




.astro-title {
    font-size: 34px;
    color: #facc15;
    margin-bottom: 50px;
    letter-spacing: 2px;
    text-shadow: 0 0 10px rgba(250,204,21,0.6);
}

.astro-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
    gap: 25px;
}

.astro-card {
    background: rgba(255,255,255,0.05);
    border-radius: 20px;
    padding: 30px;
    backdrop-filter: blur(12px);
    transition: 0.4s ease;
    border: 1px solid rgba(250,204,21,0.2);
    position: relative;
}

.astro-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 0 25px rgba(250,204,21,0.5);
}

.astro-icon {
    font-size: 42px;
    margin-bottom: 15px;
}

.astro-card h3 {
    color: #fde68a;
    font-size: 20px;
    margin-bottom: 10px;
}

.astro-card p {
    color: #e2e8f0;
    font-size: 14px;
    line-height: 1.6;
}

/* glowing stars effect */
.astro-services::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: url('https://www.transparenttextures.com/patterns/stardust.png');
    opacity: 0.2;
    top: 0;
    left: 0;
}




.god-gallery {
    padding: 70px 20px;
    background: radial-gradient(circle at top, #1e1b4b, #0b1026, #020617);
    font-family: Arial, sans-serif;
    text-align: center;
    color: white;
}

.slider-title {
    color: #facc15;
    margin-bottom: 40px;
    font-size: 28px;
}

.slider-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    max-width: 1100px;
    margin: auto;
}

.card {
    background: rgba(255,255,255,0.06);
    border-radius: 18px;
    overflow: hidden;
    transition: 0.3s;
    border: 1px solid rgba(250,204,21,0.2);
    background: #c31432;  /* fallback for old browsers */
background: -webkit-linear-gradient(to right, #240b36, #c31432);  /* Chrome 10-25, Safari 5.1-6 */
background: linear-gradient(to right, #240b36, #c31432); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}

.card:hover {
    transform: translateY(-10px);
    box-shadow: 0 0 20px rgba(250,204,21,0.3);
}

.card img {
    width: 100%;
    height: 220px;
    object-fit: cover;
}

.card h3 {
    padding: 12px;
    color: #facc15;
    font-size: 16px;
      font-family: "Ubuntu", sans-serif;
    font-size: 24px;
}



/* responsive */
@media (max-width: 900px) {
    .slider-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .slider-wrapper {
        grid-template-columns: 1fr;
    }
}

.diya-container {
    display: flex;
    justify-content: center;
    margin: 30px 0;
}

/* diya base */
.diya {
    position: relative;
    width: 60px;
    height: 40px;
}

/* diya bowl */
.base {
    width: 60px;
    height: 25px;
    background: linear-gradient(145deg, #b45309, #f59e0b);
    border-radius: 0 0 50px 50px;
    position: absolute;
    bottom: 0;
    box-shadow: 0 0 15px rgba(245,158,11,0.6);
}

/* oil */
.oil {
    width: 40px;
    height: 10px;
    background: #111827;
    border-radius: 50%;
    position: absolute;
    bottom: 18px;
    left: 10px;
}


.god-gallery {
    padding: 70px 20px;
    background: radial-gradient(circle at top, #cb180b, #341101, #da800a);
    font-family: Arial, sans-serif;
    text-align: center;
    color: white;
}



.why-us {
    padding: 70px 20px;
    background: radial-gradient(circle at top, #1e1b4b, #0b1026, #020617);
    text-align: center;
    font-family: Arial, sans-serif;
    color: white;
    position: relative;
}

/* star background */
.why-us::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image: url("https://www.transparenttextures.com/patterns/stardust.png");
    opacity: 0.2;
    pointer-events: none;
}

.why-title {
    font-size: 30px;
    color: #facc15;
    margin-bottom: 40px;
}

.why-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 20px;
    position: relative;
}

.why-card {
    background: rgba(255,255,255,0.06);
    padding: 25px;
    border-radius: 18px;
    border: 1px solid rgba(250,204,21,0.2);
    transition: 0.3s;
    backdrop-filter: blur(10px);
}

.why-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 0 20px rgba(250,204,21,0.3);
}

.why-icon {
    font-size: 40px;
    margin-bottom: 10px;
}

.why-card h3 {
    color: #ffab04;
    margin-bottom: 10px;
}

.why-card p {
    font-size: 14px;
    color: #e2e8f0;
    line-height: 1.6;
}

.contact-heading {
    font-size: 24px;
    font-weight: bold;
    color: #facc15;
    text-align: center;
    padding: 15px;
    background: rgba(255,255,255,0.05);
    border-radius: 12px;
    border: 1px solid rgba(250,204,21,0.3);
}

.contact-heading strong {
    color: #38bdf8;
}

.wa-icon {
    display: inline-block;
    margin-left: 10px;
    color: #22c55e;
    font-weight: bold;
}


.about-contact {
    padding: 70px 20px;
    background: radial-gradient(circle at top, #1e1b4b, #0b1026, #020617);
    color: white;
    font-family: Arial, sans-serif;
    text-align: center;
}

.title {
    font-size: 28px;
    color: #facc15;
    margin-bottom: 30px;
}

.box {
    max-width: 800px;
    margin: auto;
    background: rgba(255,255,255,0.06);
    padding: 30px;
    border-radius: 18px;
    border: 1px solid rgba(250,204,21,0.2);
    backdrop-filter: blur(10px);
    text-align: left;
}

.box h3 {
    color: #38bdf8;
    margin-top: 15px;
}

.box p {
    color: #e2e8f0;
    font-size: 15px;
    line-height: 1.6;
}

.box a {
    color: #22c55e;
    text-decoration: none;
    font-weight: bold;
}

.box a:hover {
    text-decoration: underline;
}

.why-us {
    padding: 70px 20px;
    background: radial-gradient(circle at top, #a6340c, #481004, #1e040f);
    text-align: center;
    font-family: Arial, sans-serif;
    color: white;
    position: relative;
}

@media (min-width: 1024px) {
    nav.navbar .navbar-brand img.logo {
        width: 256px;
        margin-top: -24px;
    }
}

.god-gallery {
    padding: 70px 20px;
    background: radial-gradient(circle at top, #ffffff, #ffffff, #ffffff);
    font-family: Arial, sans-serif;
    text-align: center;
    color: white;
}

.why-us {
    padding: 70px 20px;
    background: radial-gradient(circle at top, #ac2f08e3, #f31000, #8b2600);
    text-align: center;
    font-family: Arial, sans-serif;
    color: white;
    position: relative;
}

.why-card h3 {
    color: #ffaa00;
    margin-bottom: 10px;
    font-family: "Ubuntu", sans-serif;
    font-size: 24px;
}